WarningMode (Gradle API 8.11)

Package org.gradle.api.logging.configuration

## Enum WarningMode

- java.lang.Object
- - java.lang.Enum<WarningMode>
  - - org.gradle.api.logging.configuration.WarningMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<WarningMode>`

      public enum WarningMode
      extends java.lang.Enum<WarningMode>

  Specifies the warning mode a user wants to see.
  Since:
    4.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `All` | Show all warnings.
    `Fail` | Show all warnings and fail the build if any warning present
    `None` | No deprecation warnings at all.
    `Summary` | Display a summary at the end of the build instead of rendering all warnings into the console output.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `shouldDisplayMessages()` | Indicates whether deprecation messages are to be printed in-line
    `static WarningMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static WarningMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### All

          public static final WarningMode All

      Show all warnings.

    - #### Summary

          public static final WarningMode Summary

      Display a summary at the end of the build instead of rendering all warnings into the console output.

    - #### None

          public static final WarningMode None

      No deprecation warnings at all.

    - #### Fail

          public static final WarningMode Fail

      Show all warnings and fail the build if any warning present
      Since:
        5.6

  - ### Method Detail

    - #### values

          public static WarningMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WarningMode c : WarningMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WarningMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### shouldDisplayMessages

          public boolean shouldDisplayMessages()

      Indicates whether deprecation messages are to be printed in-line
      Returns:
        `true` if messages are to be printed, `false` otherwise
      Since:
        5.6